[![Build Status](https://travis-ci.org/jstanden/cerb.svg)](https://travis-ci.org/jstanden/cerb)

# What is Cerb?

[Cerb](https://cerb.ai/) enhances the productivity of online teams with web-based collaboration and automation tools:

* High-volume __email management__ that scales to millions of conversations per year.

* __Shared mailboxes__ that provide a single point of contact for clients no matter who is on duty.

* __Bots__ for creating powerful, event-driven, __automated behaviors__ from a web browser without any computer programming experience required.

* Custom __shared workspaces__ to foster team collaboration.

* __Dashboards__ for real-time reporting, monitoring, goal tracking, and operational intelligence.

* __Project boards__ for coordinating tasks and visualizing the current progress.

* __Connected accounts__ for integration with third-party apps and services.

* __Contact management__ for tracking important details and nurturing customer relationships.

* __Notifications__ for keeping the right people informed about activity on any record.

* __Task management__ for organizing, prioritizing, and delegating units of work.

* __Knowledge management__ for distributing accumulated experience.

* __Broadcasting__ of targeted, personalized messages to thousands of contacts with segmentation and dynamic templates.

* __Mobile functionality__ for remaining productive while away from your desk.

* __Devblocks, a plugin-driven web development framework__ for rapidly implementing new functionality.

* A library of __browser-installable plugins__ for extending functionality and integrating with other applications and services (Facebook, Twitter, Twilio, Slack, Freshbooks, Amazon S3, JIRA, HipChat, etc).

* A __REST-based API__ for automation and integration with third-party applications and services.

* __Webhooks__ that trigger bot behaviors in response to external events (survey submitted, invoice paid, Slack /command, etc).

* __Portals__ for building customer-facing online communities around your brands.

* ... Time tracking, call logging, opportunity management, __and much more__.

Cerb has continuously evolved for more than 16 years based on community feedback from thousands of teams.

The software is distributed under the [Devblocks Public License](https://cerb.ai/license) as a commercial open source project. The full source code is publicly available on GitHub.

Licenses are based on the maximum number of workers able to log in at the same time (i.e. seats). The software can be deployed on independent servers, or as a fully-managed, cloud-based service.

Cerb is developed in the PHP programming language. Relational data is stored in MySQL. See the [credits](https://cerb.ai/docs/credits) for a full list of third-party libraries, resources, and contributors.